{
  "type": "extendedcrafting:shaped_table",
  "pattern": [
    "ABCBA",
    "BDEDB",
    "CEFEC",
    "BDEDB",
    "ABCBA"
  ],
  "key": {
    "A": {
      "tag": "minecraft:logs"
    },
    "B": {
      "item": "extendedcrafting:black_iron_ingot"
    },
    "C": {
      "item": "thermal:obsidian_glass"
    },
    "D": {
      "item": "thermal:gold_gear"
    },
    "E": {
      "item": "minecraft:diamond"
    },
    "F": {
      "item": "extendedcrafting:redstone_ingot_block"
    }
  },
  "result": {
    "item": "industrialforegoing:machine_frame_pity"
  }
}